exports.Initialization = function(){
  var obj = new Object();
  var Class = new ModuleInformation();
  obj["GetModuleInformation"] = function(Parameter){return Class.GetModuleInformation(Parameter);};
  return obj;
};

//.h.js
function ModuleInformation()
{
	this.GetModuleInformation = function(Parameter){return ModuleInformation.prototype._GetModuleInformation_(Parameter);};
	//var CgiAnalysis = function(Bus, BusObject){return ModuleInformation.prototype._CgiAnalysis_(Bus, BusObject);};
}





//.jpp.js
ModuleInformation.prototype._GetModuleInformation_ = function(Parameter)
{
	//分割CGI
	var RequestPath = Parameter[0];
	var Return = RequestPath.split("/");
	Return.splice(0, 1);

	var fs = require('fs');
	var object;
	//判斷
	if(Return[0] == "RtuToMqttVariable.json")
	{
		object = JSON.parse(fs.readFileSync("/app/Web/public/File/RTU_Module/RtuToMqttVariable.json", 'utf-8'));
	}
	else if(Return[0] == "TcpToMqttVariable.json")
	{
		object = JSON.parse(fs.readFileSync("/app/Web/public/File/TCP_Module/TcpToMqttVariable.json", 'utf-8'));
	}
	else if(Return[0] == "MqttVariable.json")
	{
		object = JSON.parse(fs.readFileSync("/app/Web/public/File/MQTT_Module/MqttVariable.json", 'utf-8'));
	}
	else if(Return[0] == "MqttJsonGroup.json")
	{
		object = JSON.parse(fs.readFileSync("/app/Web/public/File/IoT_Platform/MqttJsonGroup.json", 'utf-8'));
	}
	else if(Return[0] == "TcpToMqttJsonVariable.json")
	{
		object = JSON.parse(fs.readFileSync("/app/Web/public/File/TCP_Module/TcpToMqttJsonVariable.json", 'utf-8'));
	}
	return object;
};